<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Platforms>AnyCPU;x64</Platforms>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="11.9.1"/>
        <PackageReference Include="MediatR" Version="12.2.0"/>
        <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.1.0"/>
        <PackageReference Include="Microsoft.AspNetCore.Hosting.Abstractions" Version="2.2.0"/>
        <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="9.0.7"/>
        <PackageReference Include="Microsoft.Extensions.DependencyInjection.Abstractions" Version="9.0.7"/>
        <PackageReference Include="Microsoft.Extensions.Logging.Console" Version="9.0.7"/>
        <PackageReference Include="Microsoft.Orleans.Client" Version="9.2.1"/>
        <PackageReference Include="Microsoft.Orleans.Clustering.AdoNet" Version="9.2.1"/>
        <PackageReference Include="Microsoft.Orleans.Persistence.AdoNet" Version="9.2.1"/>
        <PackageReference Include="Microsoft.Orleans.Reminders.AdoNet" Version="9.2.1"/>
        <PackageReference Include="Microsoft.Orleans.Server" Version="9.2.1"/>
        <PackageReference Include="Microsoft.Orleans.Streaming" Version="9.2.1"/>
        <PackageReference Include="OrleansDashboard" Version="8.2.0"/>
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\Managing.Application\Managing.Application.csproj"/>
        <ProjectReference Include="..\Managing.Infrastructure.Database\Managing.Infrastructure.Databases.csproj"/>
        <ProjectReference Include="..\Managing.Infrastructure.Exchanges\Managing.Infrastructure.Exchanges.csproj"/>
        <ProjectReference Include="..\Managing.Infrastructure.Messengers\Managing.Infrastructure.Messengers.csproj"/>
        <ProjectReference Include="..\Managing.Infrastructure.Storage\Managing.Infrastructure.Storage.csproj"/>
        <ProjectReference Include="..\Managing.Infrastructure.Web3\Managing.Infrastructure.Evm.csproj"/>
    </ItemGroup>

</Project>
